org.richfaces.component

## Class UIDatascroller

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UIDatascroller

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.event.DataScrollerSource
  Direct Known Subclasses:
    HtmlDatascroller

      public abstract class UIDatascroller
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.richfaces.event.DataScrollerSource, javax.faces.component.ActionSource

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `FAST_FORWARD_DISABLED_FACET_NAME`
    `static java.lang.String` | `FAST_FORWARD_FACET_NAME`
    `static java.lang.String` | `FAST_REWIND_DISABLED_FACET_NAME`
    `static java.lang.String` | `FAST_REWIND_FACET_NAME`
    `static java.lang.String` | `FIRST_DISABLED_FACET_NAME`
    `static java.lang.String` | `FIRST_FACET_NAME`
    `static java.lang.String` | `LAST_DISABLED_FACET_NAME`
    `static java.lang.String` | `LAST_FACET_NAME`
    `static java.lang.String` | `LAST_PAGE_MODE_FULL`
    `static java.lang.String` | `LAST_PAGE_MODE_SHORT`
    `static java.lang.String` | `NEXT_DISABLED_FACET_NAME`
    `static java.lang.String` | `NEXT_FACET_NAME`
    `static java.lang.String` | `PREVIOUS_DISABLED_FACET_NAME`
    `static java.lang.String` | `PREVIOUS_FACET_NAME`
    `static java.lang.String` | `SCROLLER_STATE_ATTRIBUTE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDatascroller()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScrollerListener(org.richfaces.event.DataScrollerListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `abstract java.lang.String` | `getAlign()`
    `abstract java.lang.String` | `getBoundaryControls()`
    `javax.faces.component.UIData` | `getDataTable()` Finds the dataTable which id is mapped to the "for" property
    `abstract java.lang.String` | `getEventsQueue()`
    `java.lang.String` | `getFamily()`
    `abstract java.lang.String` | `getFastControls()`
    `javax.faces.component.UIComponent` | `getFastForward()`
    `javax.faces.component.UIComponent` | `getFastRewind()`
    `abstract int` | `getFastStep()`
    `javax.faces.component.UIComponent` | `getFirst()`
    `int` | `getFirstRow(javax.faces.component.UIData data)` Deprecated.
    `abstract java.lang.String` | `getFor()`
    `abstract java.lang.String` | `getInactiveStyle()`
    `abstract java.lang.String` | `getInactiveStyleClass()`
    `javax.faces.component.UIComponent` | `getLast()`
    `abstract java.lang.String` | `getLastPageMode()`
    `abstract int` | `getMaxPages()`
    `javax.faces.component.UIComponent` | `getNext()`
    `int` | `getPage()`
    `int` | `getPageCount()`
    `int` | `getPageCount(javax.faces.component.UIData data)`
    `int` | `getPageCount(javax.faces.component.UIData data, int rowCount, int rows)`
    `int` | `getPageForFacet(java.lang.String facetName)`
    `int` | `getPageIndex()` Deprecated.
    `int` | `getPageIndex(javax.faces.component.UIData data)` Deprecated.
    `javax.faces.component.UIComponent` | `getPrevious()`
    `abstract int` | `getRequestDelay()`
    `int` | `getRowCount()`
    `int` | `getRowCount(javax.faces.component.UIData data)`
    `int` | `getRows(javax.faces.component.UIData data)`
    `abstract javax.el.MethodExpression` | `getScrollerListener()`
    `org.richfaces.event.DataScrollerListener[]` | `getScrollerListeners()`
    `abstract java.lang.String` | `getSelectedStyle()`
    `abstract java.lang.String` | `getSelectedStyleClass()`
    `abstract java.lang.String` | `getSimilarityGroupingId()`
    `abstract java.lang.String` | `getStepControls()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getStyleClass()`
    `abstract java.lang.String` | `getTableStyleClass()`
    `abstract boolean` | `isAjaxSingle()`
    `boolean` | `isLocalPageSet()`
    `abstract boolean` | `isRenderIfSinglePage()`
    `void` | `removeScrollerListener(org.richfaces.event.DataScrollerListener listener)`
    `void` | `resetLocalPage()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object object)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `abstract void` | `setAjaxSingle(boolean ajaxSingle)`
    `abstract void` | `setAlign(java.lang.String align)`
    `abstract void` | `setBoundaryControls(java.lang.String boundaryControls)`
    `abstract void` | `setEventsQueue(java.lang.String eventsQueue)`
    `abstract void` | `setFastControls(java.lang.String fastControls)`
    `abstract void` | `setFastStep(int FastStep)`
    `void` | `setFirstRow(int rows)` Deprecated.
    `abstract void` | `setFor(java.lang.String f)`
    `abstract void` | `setInactiveStyle(java.lang.String inactiveStyle)`
    `abstract void` | `setInactiveStyleClass(java.lang.String inactiveStyleClass)`
    `abstract void` | `setLastPageMode(java.lang.String lastPageMode)`
    `abstract void` | `setMaxPages(int maxPages)`
    `void` | `setPage(int newPage)`
    `void` | `setPage(java.lang.String facetName)` Deprecated. as of 3.2 replaced with `setPage(int)`
    `abstract void` | `setRenderIfSinglePage(boolean renderIfSinglePage)`
    `abstract void` | `setRequestDelay(int requestDelay)`
    `abstract void` | `setScrollerListener(javax.el.MethodExpression scrollerListener)`
    `abstract void` | `setSelectedStyle(java.lang.String selectedStyle)`
    `abstract void` | `setSelectedStyleClass(java.lang.String selectedStyleClass)`
    `abstract void` | `setSimilarityGroupingId(java.lang.String similarityGroupingId)`
    `abstract void` | `setStepControls(java.lang.String stepControls)`
    `abstract void` | `setStyle(java.lang.String styleClass)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`
    `abstract void` | `setTableStyleClass(java.lang.String tableStyleClass)`
    `void` | `setupFirstRowValue()`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getReRender, getStatus, getTimeout, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setBypassUpdates, setData, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setReRender, setStatus, setTimeout`

- - ### Field Detail

    - #### LAST_PAGE_MODE_FULL

          public static final java.lang.String LAST_PAGE_MODE_FULL

      See Also:
        Constant Field Values

    - #### LAST_PAGE_MODE_SHORT

          public static final java.lang.String LAST_PAGE_MODE_SHORT

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### FIRST_FACET_NAME

          public static final java.lang.String FIRST_FACET_NAME

      See Also:
        Constant Field Values

    - #### LAST_FACET_NAME

          public static final java.lang.String LAST_FACET_NAME

      See Also:
        Constant Field Values

    - #### NEXT_FACET_NAME

          public static final java.lang.String NEXT_FACET_NAME

      See Also:
        Constant Field Values

    - #### PREVIOUS_FACET_NAME

          public static final java.lang.String PREVIOUS_FACET_NAME

      See Also:
        Constant Field Values

    - #### FAST_FORWARD_FACET_NAME

          public static final java.lang.String FAST_FORWARD_FACET_NAME

      See Also:
        Constant Field Values

    - #### FAST_REWIND_FACET_NAME

          public static final java.lang.String FAST_REWIND_FACET_NAME

      See Also:
        Constant Field Values

    - #### FIRST_DISABLED_FACET_NAME

          public static final java.lang.String FIRST_DISABLED_FACET_NAME

      See Also:
        Constant Field Values

    - #### LAST_DISABLED_FACET_NAME

          public static final java.lang.String LAST_DISABLED_FACET_NAME

      See Also:
        Constant Field Values

    - #### NEXT_DISABLED_FACET_NAME

          public static final java.lang.String NEXT_DISABLED_FACET_NAME

      See Also:
        Constant Field Values

    - #### PREVIOUS_DISABLED_FACET_NAME

          public static final java.lang.String PREVIOUS_DISABLED_FACET_NAME

      See Also:
        Constant Field Values

    - #### FAST_FORWARD_DISABLED_FACET_NAME

          public static final java.lang.String FAST_FORWARD_DISABLED_FACET_NAME

      See Also:
        Constant Field Values

    - #### FAST_REWIND_DISABLED_FACET_NAME

          public static final java.lang.String FAST_REWIND_DISABLED_FACET_NAME

      See Also:
        Constant Field Values

    - #### SCROLLER_STATE_ATTRIBUTE

          public static final java.lang.String SCROLLER_STATE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDatascroller

          public UIDatascroller()

  - ### Method Detail

    - #### addScrollerListener

          public void addScrollerListener(org.richfaces.event.DataScrollerListener listener)

      Specified by:
        `addScrollerListener` in interface `org.richfaces.event.DataScrollerSource`

    - #### getScrollerListeners

          public org.richfaces.event.DataScrollerListener[] getScrollerListeners()

      Specified by:
        `getScrollerListeners` in interface `org.richfaces.event.DataScrollerSource`

    - #### removeScrollerListener

          public void removeScrollerListener(org.richfaces.event.DataScrollerListener listener)

      Specified by:
        `removeScrollerListener` in interface `org.richfaces.event.DataScrollerSource`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getScrollerListener

          public abstract javax.el.MethodExpression getScrollerListener()

    - #### setScrollerListener

          public abstract void setScrollerListener(javax.el.MethodExpression scrollerListener)

    - #### setFor

          public abstract void setFor(java.lang.String f)

    - #### getFor

          public abstract java.lang.String getFor()

    - #### getFastStep

          public abstract int getFastStep()

    - #### setFastStep

          public abstract void setFastStep(int FastStep)

    - #### isRenderIfSinglePage

          public abstract boolean isRenderIfSinglePage()

    - #### setRenderIfSinglePage

          public abstract void setRenderIfSinglePage(boolean renderIfSinglePage)

    - #### getMaxPages

          public abstract int getMaxPages()

    - #### setMaxPages

          public abstract void setMaxPages(int maxPages)

    - #### getSelectedStyleClass

          public abstract java.lang.String getSelectedStyleClass()

    - #### setSelectedStyleClass

          public abstract void setSelectedStyleClass(java.lang.String selectedStyleClass)

    - #### getSelectedStyle

          public abstract java.lang.String getSelectedStyle()

    - #### setSelectedStyle

          public abstract void setSelectedStyle(java.lang.String selectedStyle)

    - #### getEventsQueue

          public abstract java.lang.String getEventsQueue()

      Specified by:
        `getEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### setEventsQueue

          public abstract void setEventsQueue(java.lang.String eventsQueue)

      Specified by:
        `setEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### isAjaxSingle

          public abstract boolean isAjaxSingle()

      Specified by:
        `isAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### setAjaxSingle

          public abstract void setAjaxSingle(boolean ajaxSingle)

      Specified by:
        `setAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### getRequestDelay

          public abstract int getRequestDelay()

      Specified by:
        `getRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### setRequestDelay

          public abstract void setRequestDelay(int requestDelay)

      Specified by:
        `setRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### getSimilarityGroupingId

          public abstract java.lang.String getSimilarityGroupingId()

      Specified by:
        `getSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### setSimilarityGroupingId

          public abstract void setSimilarityGroupingId(java.lang.String similarityGroupingId)

      Specified by:
        `setSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### getTableStyleClass

          public abstract java.lang.String getTableStyleClass()

    - #### setTableStyleClass

          public abstract void setTableStyleClass(java.lang.String tableStyleClass)

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### setStyle

          public abstract void setStyle(java.lang.String styleClass)

    - #### getAlign

          public abstract java.lang.String getAlign()

    - #### setAlign

          public abstract void setAlign(java.lang.String align)

    - #### getBoundaryControls

          public abstract java.lang.String getBoundaryControls()

    - #### setBoundaryControls

          public abstract void setBoundaryControls(java.lang.String boundaryControls)

    - #### getFastControls

          public abstract java.lang.String getFastControls()

    - #### setFastControls

          public abstract void setFastControls(java.lang.String fastControls)

    - #### getStepControls

          public abstract java.lang.String getStepControls()

    - #### setStepControls

          public abstract void setStepControls(java.lang.String stepControls)

    - #### getInactiveStyleClass

          public abstract java.lang.String getInactiveStyleClass()

    - #### getInactiveStyle

          public abstract java.lang.String getInactiveStyle()

    - #### setInactiveStyleClass

          public abstract void setInactiveStyleClass(java.lang.String inactiveStyleClass)

    - #### setInactiveStyle

          public abstract void setInactiveStyle(java.lang.String inactiveStyle)

    - #### getLastPageMode

          public abstract java.lang.String getLastPageMode()

    - #### setLastPageMode

          public abstract void setLastPageMode(java.lang.String lastPageMode)

    - #### getDataTable

          public javax.faces.component.UIData getDataTable()

      Finds the dataTable which id is mapped to the "for" property
      Returns:
        the dataTable component

    - #### getPageIndex

          public int getPageIndex(javax.faces.component.UIData data)

      Deprecated.
      Parameters:
        `data` -
      Returns:
      See Also:
        `getPage()`

    - #### getPageIndex

          public int getPageIndex()

      Deprecated.
      Returns:
      See Also:
        `getPage()`

    - #### getPageForFacet

          public int getPageForFacet(java.lang.String facetName)

    - #### setPage

          public void setPage(java.lang.String facetName)

      Deprecated. as of 3.2 replaced with `setPage(int)`
      Sets the page number according to the parameter recived from the commandLink
      Parameters:
        `facetName` - - can be "first:, "last", "next", "previous", "fastforward", "fastrewind"
      See Also:
        `setPage(int)`, `getPageForFacet(String)`

    - #### getPageCount

          public int getPageCount(javax.faces.component.UIData data)

    - #### getPageCount

          public int getPageCount(javax.faces.component.UIData data,
                         int rowCount,
                         int rows)

    - #### getPageCount

          public int getPageCount()

      Returns:
        the page count of the uidata

    - #### getRowCount

          public int getRowCount(javax.faces.component.UIData data)

    - #### getRowCount

          public int getRowCount()

      Returns:
        int

    - #### getRows

          public int getRows(javax.faces.component.UIData data)

    - #### getFirstRow

          public int getFirstRow(javax.faces.component.UIData data)

      Deprecated.
      Parameters:
        `data` -
      Returns:
      See Also:
        `getPage()`

    - #### setFirstRow

          public void setFirstRow(int rows)

      Deprecated.
      Parameters:
        `rows` -
      See Also:
        `setPage(int)`

    - #### getFirst

          public javax.faces.component.UIComponent getFirst()

    - #### getLast

          public javax.faces.component.UIComponent getLast()

    - #### getNext

          public javax.faces.component.UIComponent getNext()

    - #### getFastForward

          public javax.faces.component.UIComponent getFastForward()

    - #### getFastRewind

          public javax.faces.component.UIComponent getFastRewind()

    - #### getPrevious

          public javax.faces.component.UIComponent getPrevious()

    - #### setupFirstRowValue

          public void setupFirstRowValue()

    - #### setPage

          public void setPage(int newPage)

    - #### getPage

          public int getPage()

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UICommand`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object object)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UICommand`

    - #### isLocalPageSet

          public boolean isLocalPageSet()

    - #### resetLocalPage

          public void resetLocalPage()

Copyright © 2014. All Rights Reserved.